(function() {
    "use strict";

    document.addEventListener('appReady.EappsFormBuilder', function() {
        var widgets = document.querySelectorAll('[data-elfsight-form-builder-options]');

        Array.prototype.slice.call(widgets).forEach(function(widget) {
            var version = widget.getAttribute('data-elfsight-form-builder-version');
            var options = widget.getAttribute('data-elfsight-form-builder-options');
            var data = JSON.parse(decodeURIComponent(options));

            window.eappsFormBuilder(widget, data);

            widget.removeAttribute('data-elfsight-form-builder-options');
            widget.removeAttribute('data-elfsight-form-builder-version');

            widget.data = {
                options: data,
                version: version
            };
        });
    });

    //= ../app/app/dist/form-builder.js
})();